Nowe posty

Autor Wątek: Jak zainstalować phpize?  (Przeczytany 3590 razy)

voot

  • Gość
Jak zainstalować phpize?
« dnia: 2010-06-22, 18:46:18 »
Witam, chcę na swoim vpsie zainstalować ssh2, potrzebuję do tego phpize, ale nie wiem jak go zainstalować, próbowałem
apt-get install php-devel
ale wtedy w konsoli pisze:
112:/var/www# apt-get install php-devel
Reading package lists... Done
Building dependency tree... Done
E: Couldn't find package php-devel
.
Próbowałem również
apt-get install php5-dev
efekt:
112:/var/www# apt-get install php5-dev
Reading package lists... Done
Building dependency tree... Done
The following extra packages will be installed:
 autoconf automake1.4 autotools-dev cpp cpp-4.1 gcc gcc-4.1 libc6 libc6-dev
 libssl-dev libssp0 libtool linux-kernel-headers shtool zlib1g-dev
Suggested packages:
 autoconf2.13 autobook autoconf-archive gnu-standards autoconf-doc cpp-doc
 gcc-4.1-locales manpages-dev automake1.9 flex bison gdb gcc-doc gcc-4.1-doc
 libc6-dev-amd64 lib64gcc1 lib64ssp0 glibc-doc libtool-doc g77
 fortran77-compiler gcj automake
Recommended packages:
 automaken libmudflap0-dev libltdl3-dev
The following NEW packages will be installed:
 autoconf automake1.4 autotools-dev cpp cpp-4.1 gcc gcc-4.1 libc6-dev
 libssl-dev libssp0 libtool linux-kernel-headers php5-dev shtool zlib1g-dev
The following packages will be upgraded:
 libc6
1 upgraded, 15 newly installed, 0 to remove and 29 not upgraded.
Need to get 2323kB/16.4MB of archives.
After unpacking 42.6MB of additional disk space will be used.
Do you want to continue [Y/n]? y
WARNING: The following packages cannot be authenticated!
 autoconf autotools-dev automake1.4 cpp-4.1 cpp libssp0 gcc-4.1 gcc
 linux-kernel-headers zlib1g-dev shtool
Install these packages without verification [y/N]? y
Err http://ftp.de.debian.org etch/main autoconf 2.61-4
 404 Not Found
Err http://ftp.de.debian.org etch/main linux-kernel-headers 2.6.18-7
 404 Not Found
Failed to fetch
http://ftp.de.debian.org/debian/pool/main/a/autoconf/autoconf_2.61-4_all.deb
 404 Not Found
Failed to fetch
http://ftp.de.debian.org/debian/pool/main/l/linux-kernel-headers/linux-kernel-headers_2.6.18-7_i386.deb
 404 Not Found
E: Unable to fetch some archives, maybe run apt-get update or try with
--fix-missing?
Na VPS mam debian Etch 4.0

Może mi ktoś pomóc to zainstalować? Tylko proszę łopatologicznie, bo dopiero zaczynam zabawę z vps. Właśnie sobie przypomniałem, że kiedyś na PC też miałem podobnie (wtedy było ubuntu), nie mogłem niczego zainstalować i pomogła jakaś komenda, ale nie pamiętam jaka. Bardzo proszę o pomoc.

marcinz

  • Gość
Jak zainstalować phpize?
« Odpowiedź #1 dnia: 2010-06-22, 19:01:33 »
czy dobrze zrozumiałem że potrzebujesz źródeł PHP ? czy samego php do ssh2 bo jakoś nie potrafię tego wyczytać

voot

  • Gość
Jak zainstalować phpize?
« Odpowiedź #2 dnia: 2010-06-22, 19:09:46 »
Nie znam się na linuxie za bardzo, w każdym razie gdy użyję komendy
phpize && ./configure --with-ssh2 && make
to odpowiada
-bash: phpize: command not found
znalazłem na jakimś forum że trzeba zainstalować phpize, ale nie wiem jak, bo przy próbie instalowania czegoś (apt-get install) zawsze jest jakiś błąd
przy apt-get update też jest błąd
Ign http://ftp.pl.debian.org etch Release.gpg
Ign http://ftp.pl.debian.org etch Release
Ign http://ftp.pl.debian.org etch/main Packages
Ign http://ftp.pl.debian.org etch/non-free Packages
Ign http://ftp.pl.debian.org etch/contrib Packages
Ign http://ftp.pl.debian.org etch/main Sources
Ign http://ftp.pl.debian.org etch/non-free Sources
Ign http://ftp.pl.debian.org etch/contrib Sources
Err http://ftp.pl.debian.org etch/main Packages
  404 Not Found
Err http://ftp.pl.debian.org etch/non-free Packages
  404 Not Found
Get:1 http://security.debian.org etch/updates Release.gpg [835B]
Err http://ftp.pl.debian.org etch/contrib Packages
  404 Not Found
Err http://ftp.pl.debian.org etch/main Sources
  404 Not Found
Err http://ftp.pl.debian.org etch/non-free Sources
  404 Not Found
Err http://ftp.pl.debian.org etch/contrib Sources
  404 Not Found
Hit http://security.debian.org etch/updates Release
Ign http://security.debian.org etch/updates/main Packages/DiffIndex
Ign http://security.debian.org etch/updates/contrib Packages/DiffIndex
Ign http://security.debian.org etch/updates/non-free Packages/DiffIndex
Ign http://security.debian.org etch/updates/main Sources/DiffIndex
Ign http://security.debian.org etch/updates/contrib Sources/DiffIndex
Ign http://security.debian.org etch/updates/non-free Sources/DiffIndex
Hit http://security.debian.org etch/updates/main Packages
Hit http://security.debian.org etch/updates/contrib Packages
Hit http://security.debian.org etch/updates/non-free Packages
Hit http://security.debian.org etch/updates/main Sources
Hit http://security.debian.org etch/updates/contrib Sources
Hit http://security.debian.org etch/updates/non-free Sources
Fetched 1B in 0s (3B/s)
Failed to fetch http://ftp.pl.debian.org/debian/dists/etch/main/binary-i386/Packages.gz  404 Not Found
Failed to fetch http://ftp.pl.debian.org/debian/dists/etch/non-free/binary-i386/Packages.gz  404 Not Found
Failed to fetch http://ftp.pl.debian.org/debian/dists/etch/contrib/binary-i386/Packages.gz  404 Not Found
Failed to fetch http://ftp.pl.debian.org/debian/dists/etch/main/source/Sources.gz  404 Not Found
Failed to fetch http://ftp.pl.debian.org/debian/dists/etch/non-free/source/Sources.gz  404 Not Found
Failed to fetch http://ftp.pl.debian.org/debian/dists/etch/contrib/source/Sources.gz  404 Not Found
Reading package lists... Done
W: Couldn't stat source package list http://ftp.pl.debian.org etch/main Packages (/var/lib/apt/lists/ftp.pl.debian.org_debian_dists_etch_main_binary-i386_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list http://ftp.pl.debian.org etch/non-free Packages (/var/lib/apt/lists/ftp.pl.debian.org_debian_dists_etch_non-free_binary-i386_Packages) - stat (2 No such file or directory)
W: Couldn't stat source package list http://ftp.pl.debian.org etch/contrib Packages (/var/lib/apt/lists/ftp.pl.debian.org_debian_dists_etch_contrib_binary-i386_Packages) - stat (2 No such file or directory)
W: You may want to run apt-get update to correct these problems
E: Some index files failed to download, they have been ignored, or old ones used instead.